Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.tracking.tags
Class DisplayProductEventTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.bea.commerce.ebusiness.tracking.tags.ProductEventTag
              com.bea.commerce.ebusiness.tracking.tags.DisplayProductEventTag

All Implemented Interfaces
  Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Deprecated

    @Deprecated
    public class DisplayProductEventTag

extends ProductEventTag

Tag handler for `DisplayProductEventTag`. Dispatches a `DisplayProductEvent`.
To be used alongwith tags or code that displays a `ProductItem`.

See Also
  Serialized Form

Field Summary

Fields inherited from class com.bea.commerce.ebusiness.tracking.tags.ProductEventTag
`applicationName, categoryId, documentId, documentType, sessionId, sku, userId`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`DisplayProductEventTag()` Deprecated Ctor

Method Summary
`int` | `doStartTag()` Deprecated Implement the StartTag callback.
`void` | `release()` Deprecated

Methods inherited from class com.bea.commerce.ebusiness.tracking.tags.ProductEventTag
`getApplicationName, getCategoryId, getDocumentId, getDocumentType, getSku, log, setApplicationName, setCategoryId, setCategoryId, setDocumentId, setDocumentType, setSku, setSku, throwException, throwException`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DisplayProductEventTag

    public DisplayProductEventTag()

  Deprecated
  Ctor

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspTagException

  Deprecated
  Implement the StartTag callback. This fires a Display.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `ProductEventTag`
  Throws
    `javax.servlet.jsp.JspTagException`

### release

    public void release()

  Deprecated
  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `ProductEventTag`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.